#ifndef OBJECT_H_
#define OBJECT_H_

#include <graphx.h>
#include "sprite.h"

typedef struct Scale {
    int x;
    int y;
} Scale;
typedef void (*Object_func)(struct Object*);
typedef struct Object {
    int x;
    int y;
    Scale scale;
    Sprite* sprite;

    Object_func draw;
    Object_func update;
} Object;

void free_Object(Object* self);
Object* new_Object(int x, int y);

#endif
