#ifndef SPRITE_H_
#define SPRITE_H_

#include <graphx.h>

typedef void (*Sprite_func)(struct Sprite*);
typedef struct Sprite {
    int width;
    int height;
    gfx_sprite_t* data;
} Sprite;

void free_Sprite(Sprite* self);
Sprite* new_Sprite(int width, int height, void* compressed_data);

#endif
